### A free/open-source library for quantitative finance

Classes
ql/pricingengines/genericmodelengine.hpp File Reference

Generic option engine based on a model. More...

`#include <ql/pricingengine.hpp>`
`#include <ql/handle.hpp>`
Include dependency graph for genericmodelengine.hpp:

## Classes

class | GenericModelEngine< ModelType, ArgumentsType, ResultsType >
| Base class for some pricing engine on a particular model. More...

## Detailed Description

Generic option engine based on a model.